﻿@addTagHelper *, Microsoft.AspNetCore.Mvc.TagHelpers
@model CyberaniumModels.IRA

<style>
    .domaincls {
        height: calc(100vh - 220px);
        padding: 0px 12px 15px;
        background: #f8f8f8;
        overflow-y: auto;
    }

        .domaincls .table_control {
            margin-top: 12px;
        }

    tr td:first-child {
        text-align: left;
    }
</style>

<section>
    @Html.HiddenFor(m => m.htmlTable)
    @Html.HiddenFor(m => m.OrgId)
    <div class="right_section">
        <div class="pb-2 mt-3 mb-2 border-bottom box_title pl-4">
            Assign Probability to the threat
            <a data-ajax="true" class="backtolist" data-ajax-method="GET" data-ajax-mode="replace" data-ajax-update="#ajaxresult" asp-action="TabMenu" asp-controller="IRA" asp-area="ApplicationManagement" asp-route-orgId="@Model.OrgId" asp-route-orgName="@Model.OrgName">Back to Menu</a>
        </div>
        <div class="col-lg-12 col-md-8 col-sm-8 col-xs-8">
            <div class="right_panel">
                <div class="right_content">
                    <div class="row" id="MainDiv">
                        <div class="col-md-9 col-sm-12 col-xs-12">
                            <div class="domaincls">
                                <div class="table_control" id="threatProbablity">

                                </div>
                            </div>
                        </div>
                        <div class="col-md-3 col-sm-12 col-xs-12">
                            <div class="domaincls">
                                <div class="table_control">
                                    <table class="table" id="tblRCm">
                                        <thead>
                                            <tr>
                                                <th>Rating</th>
                                                <th>Description</th>
                                            </tr>
                                        </thead>
                                        <tbody>
                                            <tr>
                                                <td>1</td>
                                                <td>Very Low</td>
                                            </tr>
                                            <tr>
                                                <td>2</td>
                                                <td>Low</td>
                                            </tr>
                                            <tr>
                                                <td>3</td>
                                                <td>Medium</td>
                                            </tr>
                                            <tr>
                                                <td>4</td>
                                                <td>High</td>
                                            </tr>
                                            <tr>
                                                <td>5</td>
                                                <td>Very High</td>
                                            </tr>
                                        </tbody>
                                    </table>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="row" style="padding-top:10px">
                        <div class="col-md-12 col-sm-12 col-xs-12">
                            <div class="back_btn">
                                <div class="back_btn_in">
                                    <a data-ajax="true" data-ajax-method="GET" data-ajax-mode="replace" data-ajax-update="#ajaxresult" asp-action="TabMenu" asp-controller="IRA" asp-area="ApplicationManagement" asp-route-orgId="@Model.OrgId" asp-route-orgName="@Model.OrgName" id="btnBack">Back</a>
                                </div>
                            </div>
                            <div class="submitbtn">
                                <input type="button" value="Submit" onclick="SubmitThreatProbabilityScore()">
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</section>

<script>
    $(document).ready(function () {
        $("#threatProbablity").html($("#htmlTable").val());
    })
    function Validate(input) {
        if (parseInt($(input).val()) < 1 || parseInt($(input).val()) > 5) {
            toastr.warning('Probability score should be between 1 to 5.');
            $(input).val('');
        }
    }
    function SubmitThreatProbabilityScore() {
        var orgId = parseInt($('#OrgId').val());
        var ThreatProbabilityScoreXML = [];
        var sn = 0;
        $('.trThreats').each((i, tr) => {
            var threatId = parseInt($(tr).find('td').eq(0).text());
            $(tr).find('.tdThreats').each((_i, td) => {
                var tdClass = $(td).attr('class').split(' ')[1];
                var conCatId = parseInt(tdClass.split('_')[1]);
                var questionnaireId = parseInt(tdClass.split('_')[2]);
                var val = $(td).find('input').val();
                var score = parseInt(val == '' ? 0 : val);
                ThreatProbabilityScoreXML[sn++] = {
                    ThreatId: threatId,
                    ConCatId: conCatId,
                    QuestionnaireId: questionnaireId,
                    Score: score
                }
            })
        })
        $.post('/ApplicationManagement/IRA/SubmitThreatProbabilityScore', { OrgId: orgId, strJson: JSON.stringify(ThreatProbabilityScoreXML) }, (res) => {
            if (res.isSuccess) {
                $('#btnBack').click();
                toastr.success('Saved successfully.');
            } else {
                toastr.error('Something went wrong!');
            }
        });
    }
</script>